Subject: Re: Assymetric network performance on cygwin
From: David Geldreich <[email-masked]>
To: egor duda <[email-masked]>
Date: Fri, 25 Oct 2002 09:57:29 +0200

Hello Egor,

    I was not blaming cygwin vs linux, I just wanted to know it this is normal and known. I will
make the code I am working on portable across Solaris, Linux, Cygwin and native Windows.

    I just wanted to proove to my lab that cygwin is a very good product, but if you start from
nearly scratch and want to run mostly only on Windows, doing native Windows is the best choice or
writing portable code is the best.

    Best regards.

egor duda wrote:
> If you're concerned about cygwin performance, i can pinpoint 4 major
> possible sources of cygwin slowness compared to, say, linux. They are
> fork(), stat(), select() and symlink resolution. Some work is done
> from time to time to decrease performance penalty from them, but as
> preserving correctness is the goal of higher priority, i wouldn't
> expect much progress in this area. Ah, ttys are not blazingly fast
> either.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/